%{
#include <string.h>
#include "iscm0.tab.h"
#include "iscm0.h"
%}
%option noyywrap
%%
[0-9]+		{ yylval.p = create_obj_int(atol(yytext));
		  return NUM;
		}
\"[^"\n]*["\n]	{ yylval.p = create_obj_str(yytext);
		  return STR;
		}
"("		{ return LPAR; }
")"		{ return RPAR; }
[ \t\n]+	;
[^ \t\n()"']+	{ yylval.p = create_obj_id(yytext);
		  return ID;
		}
%%
